import request from "@/utils/request";

// 查询订单列表
export const GetDataList = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/order/data/list",
    method: "get",
    params: query,
  });
};

// 查询订单详情
export const GetDataInfo = (data: string | number) => {
  return request<RespondDataType>({
    url: "/order/data/" + data,
    method: "get",
  });
};

// 充值订单审核
export const checkOrder = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/tool/check/checkOrder",
    method: "post",
    data: data,
  });
};
